
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(0.0f, (-1), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017453292519943295d));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm(1L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals((-1.0d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(1, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(100.0d, (-1.0d), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test007() {}
// Defects4J: flaky method
//   @Test
//   public void test007() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }
// 
// 
//     double d0 = org.apache.commons.math.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.4766722725922161d);
// 
//   }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    int i2 = org.apache.commons.math.util.MathUtils.lcm(10, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    double d0 = org.apache.commons.math.util.MathUtils.TWO_PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 6.283185307179586d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException");
    } catch (org.apache.commons.math.exception.NonMonotonousSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NonMonotonousSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    short s1 = org.apache.commons.math.util.MathUtils.sign((short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)1);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.0f, (-1.0f), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.4766722725922161d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4588249468583195d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination((-1.0d), 1.0d, 0.0d, 0.4588249468583195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.0d));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round((-1.0f), 0, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.indicator((byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)1);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd((-1L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    double[] d_array0 = new double[] {  };
    java.lang.Number number1 = null;
    java.lang.Number number5 = null;
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException9 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-1L), number5, 10, orderDirection7, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException11 = new org.apache.commons.math.exception.NonMonotonousSequenceException(number1, (java.lang.Number)(-1.0f), (-1), orderDirection7, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array0, orderDirection7, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    float f1 = org.apache.commons.math.util.FastMath.signum((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    int[] i_array1 = new int[] { 1 };
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(0.4766722725922161d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(1L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(1L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.0f, 100.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    double d0 = org.apache.commons.math.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce((-1.0d), 6.283185307179586d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 5.283185307179586d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.sign((byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)(-1));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-1), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.0d, (-0.017453292519943295d), 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    double d1 = org.apache.commons.math.util.FastMath.log(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    double d2 = org.apache.commons.math.util.FastMath.max(Double.NaN, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5403023058681398d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-1.0f), 1.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(10.0d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(1, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    int i2 = org.apache.commons.math.util.MathUtils.lcm(1, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.0461741978670857E-4d));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7853981633974483d));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5091784786580567d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    double d2 = org.apache.commons.math.util.MathUtils.round((-3.0461741978670857E-4d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.4588249468583195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7790865210588482d));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0d, 3.141592653589793d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.4588249468583195d, (-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.45915678071800964d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.45915678071800964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(6.283185307179586d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0f, 0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialLog(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    long long2 = org.apache.commons.math.util.FastMath.max(100L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(5.283185307179586d, (-0.7790865210588482d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.7790865210588482d), 6.283185307179586d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(100.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-1), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-11));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(0, (-11));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-1), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(1, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-23));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    double d0 = org.apache.commons.math.util.MathUtils.EPSILON;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 1.1102230246251565E-16d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.806217383937352E-6d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    double[] d_array0 = null;
    double[] d_array4 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 1.0d);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, 1.5707963267948966d);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = org.apache.commons.math.util.MathUtils.linearCombination(d_array0, d_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex4 = complex2.log();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex7 = complex5.divide(complex6);
    org.apache.commons.math.complex.Complex complex8 = complex2.pow(complex7);
    java.lang.String str9 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex12 = complex10.divide(complex11);
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex14 = complex12.log();
    org.apache.commons.math.complex.Complex complex16 = complex12.divide(0.0d);
    org.apache.commons.math.complex.Complex complex17 = complex7.add(complex16);
    org.apache.commons.math.complex.Complex complex19 = complex17.pow(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(NaN, NaN)"+ "'", str3.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(NaN, NaN)"+ "'", str9.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(NaN, NaN)"+ "'", str13.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, (-23));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.798179868358115d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-1), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { '4' };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException4 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, obj_array3);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0L, obj_array3);
    java.lang.Number number6 = notFiniteNumberException5.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0L+ "'", number6.equals(0L));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.7790865210588482d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6521820801867093d));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(Double.NaN, 6.283185307179586d, 0.4766722725922161d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    double d0 = org.apache.commons.math.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    int i1 = org.apache.commons.math.util.FastMath.round(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(1.5707963267948966d, (-1.0d), 0.0d, 0.0d, 1.1102230246251565E-16d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-1.5707963267948966d));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals((-0.017453292519943295d), 0.4766722725922161d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(0, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.49536728921867335d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-3.0461741978670857E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.045710286111295E-4d));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(100L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    long long1 = org.apache.commons.math.util.MathUtils.factorial(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.0d, 0.45915678071800964d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-23), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.5707963267948966d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(10.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-3.045710286111295E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.421010862427522E-20d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000001f);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.5403023058681398d, 3.141592653589793d, 0.4588249468583195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(14.89966442575134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    int i1 = org.apache.commons.math.util.FastMath.round((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    double[] d_array0 = null;
    double[] d_array4 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 1.0d);
    double[] d_array10 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, 1.0d);
    double d13 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array12);
    double[] d_array17 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array19 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array17, 1.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b23 = org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection20, false, false);
    double[][] d_array_array24 = new double[][] { d_array19 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array6, d_array_array24);
    // The following exception was thrown during execution in test generation
    try {
      double d26 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5882505055324818d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(2.5091784786580567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    double d8 = org.apache.commons.math.util.MathUtils.linearCombination((-0.017453292519943295d), 4.806217383937352E-6d, (-0.6521820801867093d), 1.0d, 0.0d, 10.0d, 6.283185307179586d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-6.935367471250613d));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.0d, (-0.0d), (-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.4766722725922161d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4766722725922161d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    double d8 = org.apache.commons.math.util.MathUtils.linearCombination(1.5707963267948966d, 1.5882505055324818d, (-3.0461741978670857E-4d), (-0.7790865210588482d), 1.1102230246251565E-16d, (-0.6521820801867093d), (-3.045710286111295E-4d), 0.45915678071800964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.4949155375933985d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-23), number1, 100);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, bigInteger1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(100.0f, 0.0f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000002f);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.7790865210588482d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5411750531416806d));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(5.421010862427522E-20d, (-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.462348535570529E-27d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 2L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-0.6521820801867093d));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array5, 1.5707963267948966d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array7, (-23));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(14.89966442575134d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(100.0d, 2.718281828459045d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b9 = org.apache.commons.math.util.MathUtils.checkOrder(d_array5, orderDirection6, false, false);
    double[] d_array13 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array15 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array13, 1.0d);
    double[] d_array19 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 1.0d);
    double d22 = org.apache.commons.math.util.MathUtils.distanceInf(d_array15, d_array21);
    boolean b23 = org.apache.commons.math.util.MathUtils.equals(d_array5, d_array21);
    double[] d_array27 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array29 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array27, 1.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection30 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b33 = org.apache.commons.math.util.MathUtils.checkOrder(d_array29, orderDirection30, false, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array21, orderDirection30, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException");
    } catch (org.apache.commons.math.exception.NonMonotonousSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NonMonotonousSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(2.5091784786580567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.39953155391705336d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(2.718281828459045d, 0.4766722725922161d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3972033880597443d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-11));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b9 = org.apache.commons.math.util.MathUtils.checkOrder(d_array5, orderDirection6, false, false);
    double[] d_array13 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array15 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array13, 1.0d);
    double[] d_array19 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 1.0d);
    double d22 = org.apache.commons.math.util.MathUtils.distanceInf(d_array15, d_array21);
    boolean b23 = org.apache.commons.math.util.MathUtils.equals(d_array5, d_array21);
    double[] d_array27 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array29 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array27, 1.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection30 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b33 = org.apache.commons.math.util.MathUtils.checkOrder(d_array29, orderDirection30, false, false);
    double[] d_array37 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array39 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array37, 1.0d);
    double[] d_array43 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array45 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array43, 1.0d);
    double d46 = org.apache.commons.math.util.MathUtils.distanceInf(d_array39, d_array45);
    boolean b47 = org.apache.commons.math.util.MathUtils.equals(d_array29, d_array45);
    double d48 = org.apache.commons.math.util.MathUtils.distance(d_array5, d_array29);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection49 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    // The following exception was thrown during execution in test generation
    try {
      boolean b52 = org.apache.commons.math.util.MathUtils.checkOrder(d_array5, orderDirection49, true, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException");
    } catch (org.apache.commons.math.exception.NonMonotonousSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NonMonotonousSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection49);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(0, (-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 23);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(0, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(100L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 110L);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial((-11));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow((-1L), (-11));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    double d2 = org.apache.commons.math.util.MathUtils.log((-1.0d), 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(byte)(-1), (java.lang.Number)Double.NaN, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)b4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-1.5707963267948966d), 1.5707963267948966d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.0d, 0.39953155391705336d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.7776415765011937d, 2.5091784786580567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7776415765011937d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(110L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 110L);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    double d8 = org.apache.commons.math.util.MathUtils.linearCombination(0.7776415765011937d, 3.141592653589793d, 1.5882505055324818d, 0.798179868358115d, 3.141592653589793d, (-0.5411750531416806d), 6.462348535570529E-27d, 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0105910720317914d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.4588249468583195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5822137070585244d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(2.0105910720317914d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2058.8452577605544d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow(0, (-23));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialLog(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 363.7393755555636d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-0.7853981633974483d), 1.3972033880597443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7853981633974483d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(100.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 102400.0d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialLog(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.579251212010101d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05483113556160755d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.0f, 1.1920929E-7f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.5822137070585244d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.23491757418095047d));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.0f, 0.0f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(1.3972033880597443d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3972033880597443d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 102400.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-1L), 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(4.806217383937352E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7537597152201785E-4d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9171523356672744d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(6, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 12);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-0.7853981633974483d));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    double[] d_array9 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 1.0d);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array11);
    double[] d_array16 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array16, 1.0d);
    double[] d_array22 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array24 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array22, 1.0d);
    double d25 = org.apache.commons.math.util.MathUtils.distanceInf(d_array18, d_array24);
    double d26 = org.apache.commons.math.util.MathUtils.distance(d_array11, d_array24);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array28 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, Double.NaN);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialDouble(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 720.0d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(720.0d, (-0.7790865210588482d), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    java.lang.Number number0 = null;
    java.lang.Number number4 = null;
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException8 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-1L), number4, 10, orderDirection6, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException10 = new org.apache.commons.math.exception.NonMonotonousSequenceException(number0, (java.lang.Number)(-1.0f), (-1), orderDirection6, false);
    java.lang.Throwable throwable11 = nonMonotonousSequenceException10.getException();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable11);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(2L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.3972033880597443d, 0.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3972033880597443d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.3972033880597443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b9 = org.apache.commons.math.util.MathUtils.checkOrder(d_array5, orderDirection6, false, false);
    double[] d_array13 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array15 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array13, 1.0d);
    double[] d_array19 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array19, 1.0d);
    double d22 = org.apache.commons.math.util.MathUtils.distanceInf(d_array15, d_array21);
    boolean b23 = org.apache.commons.math.util.MathUtils.equals(d_array5, d_array21);
    double[] d_array27 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array29 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array27, 1.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection30 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b33 = org.apache.commons.math.util.MathUtils.checkOrder(d_array29, orderDirection30, false, false);
    double[] d_array37 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array39 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array37, 1.0d);
    double[] d_array43 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array45 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array43, 1.0d);
    double d46 = org.apache.commons.math.util.MathUtils.distanceInf(d_array39, d_array45);
    boolean b47 = org.apache.commons.math.util.MathUtils.equals(d_array29, d_array45);
    double d48 = org.apache.commons.math.util.MathUtils.distance(d_array5, d_array29);
    double[] d_array49 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d50 = org.apache.commons.math.util.MathUtils.distance1(d_array29, d_array49);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialLog((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals((-1.0f), 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.7853981633974483d), (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7853981633974483d));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.810477380965351d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.23491757418095047d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.23068947495442116d));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-0.7790865210588482d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0430420971419594d));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-3.045710286111295E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 608369469);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    // The following exception was thrown during execution in test generation
    try {
      boolean b9 = org.apache.commons.math.util.MathUtils.checkOrder(d_array3, orderDirection6, true, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException");
    } catch (org.apache.commons.math.exception.NonMonotonousSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NonMonotonousSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(Double.NaN, 0.4588249468583195d, 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    org.apache.commons.math.complex.Complex complex3 = complex1.log();
    org.apache.commons.math.complex.Complex complex4 = complex1.sinh();
    org.apache.commons.math.complex.Complex complex5 = complex1.sin();
    org.apache.commons.math.complex.Complex complex6 = complex5.sqrt1z();
    boolean b7 = complex6.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 110L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(2.4949155375933985d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 117572107);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(0, 23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 23);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0f, 10.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.0f);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.39953155391705336d, 3.141592653589793d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(23, (-23));
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-23));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(0.0d, Double.NEGATIVE_INFINITY, (-3.045710286111295E-4d), 0.45915678071800964d, 0.5822137070585244d, 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination((-0.23491757418095047d), 6.579251212010101d, 363.7393755555636d, (-0.017453292519943295d), (-0.017453292519943295d), 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-7.921447025026058d));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-6.935367471250613d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(23, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 69);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(2.5091784786580567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.1067452093673324d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-1.0f), 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(720.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5440716964379951d));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.0d), (-0.7790865210588482d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7790865210588482d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    java.util.List list4 = complex2.nthRoot(12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    int i2 = org.apache.commons.math.util.FastMath.min(608369469, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)10L);
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-1.0f), 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.0f, 1.0f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.4E-45f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.0f, 10.000001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    double[] d_array0 = null;
    double[] d_array4 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 1.0d);
    double[] d_array10 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, 1.0d);
    double d13 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array12);
    boolean b14 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array0, d_array6);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = org.apache.commons.math.util.MathUtils.safeNorm(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.7853981633974483d), (-7.921447025026058d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    double d0 = org.apache.commons.math.util.MathUtils.SAFE_MIN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.2250738585072014E-308d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(14.89966442575134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.723113181276153d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.7853981633974483d), 6.579251212010101d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7853981633974483d));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    double[] d_array9 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 1.0d);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array11);
    double[] d_array16 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array16, 1.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection19 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b22 = org.apache.commons.math.util.MathUtils.checkOrder(d_array18, orderDirection19, false, false);
    double[][] d_array_array23 = new double[][] { d_array18 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array5, d_array_array23);
    double[] d_array28 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array30 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array28, 1.0d);
    double[] d_array32 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array30, 1.5707963267948966d);
    double[] d_array36 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array38 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array36, 1.0d);
    double[] d_array42 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array44 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array42, 1.0d);
    double d45 = org.apache.commons.math.util.MathUtils.distanceInf(d_array38, d_array44);
    double[] d_array49 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array51 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array49, 1.0d);
    double[] d_array53 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array51, 1.5707963267948966d);
    double d54 = org.apache.commons.math.util.MathUtils.distance1(d_array44, d_array51);
    double[] d_array55 = org.apache.commons.math.util.MathUtils.copyOf(d_array51);
    boolean b56 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array30, d_array55);
    boolean b57 = org.apache.commons.math.util.MathUtils.equals(d_array5, d_array30);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    java.lang.Object[] obj_array2 = new java.lang.Object[] { (-1.0f) };
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException3 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-1L), obj_array2);
    java.lang.Number number4 = notFiniteNumberException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-1L)+ "'", number4.equals((-1L)));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.7776415765011937d, (-0.6521820801867093d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1254594963144844d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1425465430742778d));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(608369469);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo((-1.0d), 5.283185307179586d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(2058.8452577605544d, 1.3972033880597443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2058.845257760554d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 19.085536923187668d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    float f2 = org.apache.commons.math.util.FastMath.max(100.0f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(100L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 99L);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial(117572107);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(0.45915678071800964d, 6, (-23));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm(12, 608369469);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(0, (-11));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    double[] d_array9 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 1.0d);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array11);
    double[] d_array16 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array16, 1.0d);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 1.5707963267948966d);
    double d21 = org.apache.commons.math.util.MathUtils.distance1(d_array11, d_array18);
    double[] d_array25 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 1.0d);
    double[] d_array31 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 1.0d);
    double d34 = org.apache.commons.math.util.MathUtils.distanceInf(d_array27, d_array33);
    double[] d_array38 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array40 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array38, 1.0d);
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 1.5707963267948966d);
    double d43 = org.apache.commons.math.util.MathUtils.distance1(d_array33, d_array40);
    double d44 = org.apache.commons.math.util.MathUtils.distance(d_array11, d_array40);
    double[] d_array45 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d46 = org.apache.commons.math.util.MathUtils.linearCombination(d_array40, d_array45);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(100, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(720.0d, (-0.017453292519943295d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(102400.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.229789172123647d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    float[] f_array0 = null;
    float[] f_array1 = null;
    boolean b2 = org.apache.commons.math.util.MathUtils.equals(f_array0, f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(608369469, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(23, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 1L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.45915678071800964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(110L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 108L);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (-1.0f) };
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException4 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-1L), obj_array3);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.1920929E-7f, obj_array3);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = notFiniteNumberException5.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 4.9E-324d };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException3 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = mathArithmeticException3.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.1425465430742778d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    org.apache.commons.math.complex.Complex complex3 = complex1.log();
    org.apache.commons.math.complex.Complex complex5 = complex1.add((-0.7790865210588482d));
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(byte)(-1), (java.lang.Number)Double.NaN, false);
    boolean b10 = numberIsTooLargeException9.getBoundIsAllowed();
    java.lang.Number number11 = numberIsTooLargeException9.getMax();
    boolean b12 = complex5.equals((java.lang.Object)number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-0.23068947495442116d));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(100, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 101);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(6.579251212010101d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    org.apache.commons.math.complex.Complex complex3 = complex1.log();
    org.apache.commons.math.complex.Complex complex4 = complex1.sinh();
    org.apache.commons.math.complex.Complex complex5 = complex1.sin();
    org.apache.commons.math.complex.Complex complex7 = complex5.subtract(4.810477380965351d);
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex10 = complex8.divide(complex9);
    org.apache.commons.math.complex.Complex complex11 = complex9.log();
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex13 = complex9.pow(complex12);
    org.apache.commons.math.complex.Complex complex14 = complex5.subtract(complex12);
    org.apache.commons.math.complex.Complex complex15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex16 = complex14.divide(complex15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.5822137070585244d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5822137070585245d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(10.000001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(byte)10);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(3, 12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(1.3972033880597443d, 0.7853981633974483d, (-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(100.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-1.0f), 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.indicator((byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)1);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.723113181276153d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(0.0f, (-1), 69);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(5.283185307179586d, 2.5091784786580567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1273996567724702d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.5707963267948966d, 0.39953155391705336d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948963d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog((-23), 23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.sign((byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)1);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-1.0430420971419594d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.7155476769414557d));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(5.421010862427522E-20d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3283064365386963E-10d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm(10L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    float f2 = org.apache.commons.math.util.FastMath.min(10.000001f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.indicator((byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)1);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-11), 23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-34));

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(0L, 108L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 108L);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex4 = complex2.log();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex7 = complex5.divide(complex6);
    org.apache.commons.math.complex.Complex complex8 = complex2.pow(complex7);
    org.apache.commons.math.complex.Complex complex9 = complex8.sqrt1z();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex12 = complex10.divide(complex11);
    org.apache.commons.math.complex.Complex complex13 = complex8.pow(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(NaN, NaN)"+ "'", str3.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex4 = complex2.log();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex7 = complex5.divide(complex6);
    org.apache.commons.math.complex.Complex complex8 = complex2.pow(complex7);
    java.lang.String str9 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex12 = complex10.divide(complex11);
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex14 = complex12.log();
    org.apache.commons.math.complex.Complex complex16 = complex12.divide(0.0d);
    org.apache.commons.math.complex.Complex complex17 = complex7.add(complex16);
    org.apache.commons.math.complex.ComplexField complexField18 = complex7.getField();
    org.apache.commons.math.complex.Complex complex19 = complex7.tan();
    org.apache.commons.math.complex.Complex complex20 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex22 = complex20.divide(complex21);
    org.apache.commons.math.complex.Complex complex23 = complex21.log();
    org.apache.commons.math.complex.Complex complex24 = complex21.sinh();
    org.apache.commons.math.complex.Complex complex25 = complex21.sin();
    org.apache.commons.math.complex.Complex complex26 = complex25.sqrt1z();
    org.apache.commons.math.complex.Complex complex27 = complex19.subtract(complex25);
    org.apache.commons.math.complex.Complex complex28 = complex25.atan();
    org.apache.commons.math.complex.Complex complex29 = complex28.atan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(NaN, NaN)"+ "'", str3.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(NaN, NaN)"+ "'", str9.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(NaN, NaN)"+ "'", str13.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-11), (-11));
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)(-11));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(23, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2300);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(2.5091784786580567d, 4.806217383937352E-6d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    org.apache.commons.math.complex.Complex complex3 = complex1.log();
    org.apache.commons.math.complex.Complex complex4 = complex1.sinh();
    org.apache.commons.math.complex.Complex complex5 = complex1.sin();
    org.apache.commons.math.complex.Complex complex6 = complex5.cos();
    org.apache.commons.math.complex.Complex complex7 = complex6.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(10, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.49506200341575707d, 19.085536923187668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 4.806217383937352E-6d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException");
    } catch (org.apache.commons.math.exception.NonMonotonousSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NonMonotonousSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialDouble(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.798179868358115d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.7790865210588482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble(0, 117572107);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    double[] d_array0 = null;
    double[] d_array4 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 1.0d);
    double[] d_array10 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array10, 1.0d);
    double d13 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array12);
    double[] d_array17 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array19 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array17, 1.0d);
    double[] d_array23 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array25 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array23, 1.0d);
    double d26 = org.apache.commons.math.util.MathUtils.distanceInf(d_array19, d_array25);
    double d27 = org.apache.commons.math.util.MathUtils.distance(d_array12, d_array25);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.copyOf(d_array12, 6);
    // The following exception was thrown during execution in test generation
    try {
      double d30 = org.apache.commons.math.util.MathUtils.distance1(d_array0, d_array29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.9171523356672744d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9171523356672744d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(byte)(-1), (java.lang.Number)Double.NaN, false);
    java.lang.Throwable throwable4 = numberIsTooLargeException3.getException();
    java.lang.Number number5 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number5, Double.NaN, 0);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialLog((-23));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(3, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(6.462348535570529E-27d, 1.3972033880597443d, Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(6.462348535570529E-27d, 0.1254594963144844d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.034421912863677004d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    float f2 = org.apache.commons.math.util.FastMath.max(100.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf((-0.017453292519943295d));
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex4 = complex2.divide(complex3);
    org.apache.commons.math.complex.Complex complex5 = complex3.log();
    org.apache.commons.math.complex.Complex complex6 = complex3.sinh();
    org.apache.commons.math.complex.Complex complex7 = complex3.sin();
    org.apache.commons.math.complex.Complex complex8 = complex7.conjugate();
    org.apache.commons.math.complex.Complex complex9 = complex1.subtract(complex7);
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list11 = complex7.nthRoot((-34));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(99L, 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 198L);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex4 = complex2.log();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex7 = complex5.divide(complex6);
    org.apache.commons.math.complex.Complex complex8 = complex2.pow(complex7);
    java.lang.String str9 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex12 = complex10.divide(complex11);
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex14 = complex12.log();
    org.apache.commons.math.complex.Complex complex16 = complex12.divide(0.0d);
    org.apache.commons.math.complex.Complex complex17 = complex7.add(complex16);
    org.apache.commons.math.complex.ComplexField complexField18 = complex7.getField();
    org.apache.commons.math.complex.Complex complex19 = complex7.tan();
    org.apache.commons.math.complex.Complex complex20 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex22 = complex20.divide(complex21);
    org.apache.commons.math.complex.Complex complex23 = complex21.log();
    org.apache.commons.math.complex.Complex complex24 = complex21.sinh();
    org.apache.commons.math.complex.Complex complex25 = complex21.sin();
    org.apache.commons.math.complex.Complex complex26 = complex25.sqrt1z();
    org.apache.commons.math.complex.Complex complex27 = complex19.subtract(complex25);
    double d28 = complex25.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(NaN, NaN)"+ "'", str3.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(NaN, NaN)"+ "'", str9.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(NaN, NaN)"+ "'", str13.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0d, 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-3.045710286111295E-4d), 0.0d, 102400.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(-0.6521820801867093d));
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(2300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2300);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(14.89966442575134d, (-3.045710286111295E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9991775888618444d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)69, (java.lang.Number)(-0.0d), true);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = numberIsTooLargeException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(2058.845257760554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(2.0105910720317914d, 0.7790865210588482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7231196893147802d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.49536728921867335d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)2058.8452577605544d, (java.lang.Number)3.0d, true);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    double[] d_array9 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 1.0d);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array11);
    double[] d_array16 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array16, 1.0d);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 1.5707963267948966d);
    double d21 = org.apache.commons.math.util.MathUtils.distance1(d_array11, d_array18);
    double[] d_array25 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 1.0d);
    double[] d_array31 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 1.0d);
    double d34 = org.apache.commons.math.util.MathUtils.distanceInf(d_array27, d_array33);
    double[] d_array38 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array40 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array38, 1.0d);
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 1.5707963267948966d);
    double d43 = org.apache.commons.math.util.MathUtils.distance1(d_array33, d_array40);
    double d44 = org.apache.commons.math.util.MathUtils.distance(d_array11, d_array40);
    double[] d_array48 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array50 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array48, 1.0d);
    double[] d_array54 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array56 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array54, 1.0d);
    double d57 = org.apache.commons.math.util.MathUtils.distanceInf(d_array50, d_array56);
    double[] d_array61 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array63 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array61, 1.0d);
    double[] d_array65 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array63, 1.5707963267948966d);
    double d66 = org.apache.commons.math.util.MathUtils.distance1(d_array56, d_array63);
    double[] d_array70 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array72 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array70, 1.0d);
    double[] d_array76 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array78 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array76, 1.0d);
    double d79 = org.apache.commons.math.util.MathUtils.distanceInf(d_array72, d_array78);
    double[] d_array83 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array85 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array83, 1.0d);
    double[] d_array87 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array85, 1.5707963267948966d);
    double d88 = org.apache.commons.math.util.MathUtils.distance1(d_array78, d_array85);
    double d89 = org.apache.commons.math.util.MathUtils.distance(d_array56, d_array85);
    double d90 = org.apache.commons.math.util.MathUtils.distance1(d_array40, d_array85);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException");
    } catch (org.apache.commons.math.exception.NonMonotonousSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NonMonotonousSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm(2L, 108L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 108L);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex4 = complex2.log();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex7 = complex5.divide(complex6);
    org.apache.commons.math.complex.Complex complex8 = complex2.pow(complex7);
    java.lang.String str9 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = complex7.negate();
    java.lang.String str11 = complex10.toString();
    org.apache.commons.math.complex.Complex complex12 = complex10.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(NaN, NaN)"+ "'", str3.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(NaN, NaN)"+ "'", str9.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "(NaN, NaN)"+ "'", str11.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)2.0105910720317914d, localizable1, obj_array2);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    org.apache.commons.math.complex.Complex complex4 = complex0.multiply(6.283185307179586d);
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list6 = complex4.nthRoot((-34));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(608369469, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(0.0f, 1, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.798179868358115d, (-6.935367471250613d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.000001f, 1.0f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination((-3.0461741978670857E-4d), 0.4588249468583195d, 1.4975124378109452d, 2.5091784786580567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 3.7573862144065395d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    int i2 = org.apache.commons.math.util.FastMath.min(10, 69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    double[] d_array1 = new double[] { (-1.0d) };
    double[] d_array5 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array7 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array5, 1.0d);
    double[] d_array11 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array13 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array11, 1.0d);
    double d14 = org.apache.commons.math.util.MathUtils.distanceInf(d_array7, d_array13);
    double[] d_array18 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 1.0d);
    double[] d_array22 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array20, 1.5707963267948966d);
    double d23 = org.apache.commons.math.util.MathUtils.distance1(d_array13, d_array20);
    double[] d_array27 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array29 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array27, 1.0d);
    double[] d_array33 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array35 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, 1.0d);
    double d36 = org.apache.commons.math.util.MathUtils.distanceInf(d_array29, d_array35);
    double[] d_array40 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 1.0d);
    double[] d_array44 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array42, 1.5707963267948966d);
    double d45 = org.apache.commons.math.util.MathUtils.distance1(d_array35, d_array42);
    double d46 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array42);
    double d47 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array42);
    double[] d_array51 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array53 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array51, 1.0d);
    double[] d_array57 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array59 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array57, 1.0d);
    double d60 = org.apache.commons.math.util.MathUtils.distanceInf(d_array53, d_array59);
    double[] d_array64 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array66 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array64, 1.0d);
    double[] d_array68 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array66, 1.5707963267948966d);
    double d69 = org.apache.commons.math.util.MathUtils.distance1(d_array59, d_array66);
    double[] d_array73 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array75 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array73, 1.0d);
    double[] d_array79 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array81 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array79, 1.0d);
    double d82 = org.apache.commons.math.util.MathUtils.distanceInf(d_array75, d_array81);
    double[] d_array86 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array88 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array86, 1.0d);
    double[] d_array90 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array88, 1.5707963267948966d);
    double d91 = org.apache.commons.math.util.MathUtils.distance1(d_array81, d_array88);
    double d92 = org.apache.commons.math.util.MathUtils.distance(d_array59, d_array88);
    // The following exception was thrown during execution in test generation
    try {
      double d93 = org.apache.commons.math.util.MathUtils.linearCombination(d_array1, d_array59);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.4975124378109452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.0d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0000001f);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0f, 0.0f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(2058.8452577605544d, 0.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.57053389702198d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    double[] d_array9 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 1.0d);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array11);
    double[] d_array16 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array16, 1.0d);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 1.5707963267948966d);
    double d21 = org.apache.commons.math.util.MathUtils.distance1(d_array11, d_array18);
    double[] d_array25 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 1.0d);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array27, 1.5707963267948966d);
    double d30 = org.apache.commons.math.util.MathUtils.linearCombination(d_array11, d_array27);
    double[][] d_array_array31 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.sortInPlace(d_array27, d_array_array31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.49506200341575707d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.4588249468583195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.89657354141119d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.1920929E-7f, number2, true);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(14.89966442575134d, 102400.0d, 14.89966442575134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(2.3283064365386963E-10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(99L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, bigInteger5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.5882505055324818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(2.5091784786580567d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(0L, (-1L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-11), 108L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 859631377);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.5707963267948963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3012989023072943d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(6.283185307179586d, 2058.845257760554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.283185307179586d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(608369469, 859631377);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-314534531));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.apache.commons.math.util.MathUtils.checkFinite(2.0105910720317914d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(2.2250738585072014E-308d, 0.0d, (-314534531));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(1.0000001f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck((-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(0, 859631377);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(100L, 2300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    double d8 = org.apache.commons.math.util.MathUtils.linearCombination(0.4766722725922161d, (-0.6521820801867093d), 1.5707963267948963d, 6.283185307179586d, 0.034421912863677004d, 1.4975124378109452d, (-1.0d), 1.1273996567724702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 8.48287487265697d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.7790865210588482d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, 2.4949155375933985d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.9991775888618444d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5545941429067605d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = complex0.log();
    org.apache.commons.math.complex.Complex complex3 = complex1.multiply(0.0d);
    boolean b4 = complex3.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.49506200341575707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.052890134617517d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.7763568394002505E-15d, 2.3283064365386963E-10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex4 = complex2.log();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex7 = complex5.divide(complex6);
    org.apache.commons.math.complex.Complex complex8 = complex2.pow(complex7);
    java.lang.String str9 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = complex7.negate();
    org.apache.commons.math.complex.Complex complex11 = complex7.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(NaN, NaN)"+ "'", str3.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(NaN, NaN)"+ "'", str9.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.7036064265025989d, (-0.23491757418095047d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7417872134748748d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.7231196893147802d, 2.3283064365386963E-10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7231196893147802d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    double[] d_array9 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 1.0d);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array11);
    double[] d_array14 = new double[] { (-1.0d) };
    double[] d_array18 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 1.0d);
    double[] d_array24 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 1.0d);
    double d27 = org.apache.commons.math.util.MathUtils.distanceInf(d_array20, d_array26);
    double[] d_array31 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 1.0d);
    double[] d_array35 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, 1.5707963267948966d);
    double d36 = org.apache.commons.math.util.MathUtils.distance1(d_array26, d_array33);
    double[] d_array40 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 1.0d);
    double[] d_array46 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array48 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array46, 1.0d);
    double d49 = org.apache.commons.math.util.MathUtils.distanceInf(d_array42, d_array48);
    double[] d_array53 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array55 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array53, 1.0d);
    double[] d_array57 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array55, 1.5707963267948966d);
    double d58 = org.apache.commons.math.util.MathUtils.distance1(d_array48, d_array55);
    double d59 = org.apache.commons.math.util.MathUtils.distance(d_array26, d_array55);
    double d60 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array55);
    double[] d_array62 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array14, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d63 = org.apache.commons.math.util.MathUtils.distance1(d_array5, d_array62);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 1.4975124378109452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.7776415765011937d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7776415765011937d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.7036064265025989d, 6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.283185307179586d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-1.7155476769414557d), (-0.23068947495442116d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.7155476769414557d));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.05483113556160755d, (java.lang.Number)0.4588249468583195d, (-1));
    java.lang.Number number4 = nonMonotonousSequenceException3.getPrevious();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.4588249468583195d+ "'", number4.equals(0.4588249468583195d));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination((-3.0461741978670857E-4d), 2.3283064365386963E-10d, 0.49536728921867335d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-7.092426991712036E-14d));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(9.536743E-7f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex4 = complex2.log();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex7 = complex5.divide(complex6);
    org.apache.commons.math.complex.Complex complex8 = complex2.pow(complex7);
    org.apache.commons.math.complex.Complex complex9 = complex8.sqrt1z();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex12 = complex10.divide(complex11);
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex14 = complex12.log();
    org.apache.commons.math.complex.Complex complex16 = complex12.divide(0.0d);
    org.apache.commons.math.complex.Complex complex17 = complex16.atan();
    org.apache.commons.math.complex.Complex complex18 = complex9.divide(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(NaN, NaN)"+ "'", str3.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(NaN, NaN)"+ "'", str13.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(69, 2300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 158700);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math.exception.MathArithmeticException();
    java.lang.Throwable throwable1 = mathArithmeticException0.getException();
    java.lang.Throwable throwable2 = mathArithmeticException0.getException();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable2);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    long long2 = org.apache.commons.math.util.FastMath.min(2L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    long long1 = org.apache.commons.math.util.FastMath.abs((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(0.0f, 23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(4.9E-324d, (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(0, 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 12);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(1.5707963267948966d, 100.0d, (-11));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.1273996567724702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1273996567724704d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.7036064265025989d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8744072495099592d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.000001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.7231196893147802d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.15173500073569635d));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000002f);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.1273996567724702d, (-0.5411750531416806d), 158700);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.0f, 100.0f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(198L, 117572107);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(859631377);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 859631377);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-3.0461741978670857E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.indicator((byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)(-1));

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(2.0105910720317914d, 1.5707963267948963d, (-1.0430420971419594d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 3.158229070634151d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals((-0.5411750531416806d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.798179868358115d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0258958127922717d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    double d8 = org.apache.commons.math.util.MathUtils.linearCombination((-0.23491757418095047d), 1.7763568394002505E-15d, 0.0d, 102400.0d, 0.0d, 2.7537597152201785E-4d, 8.48287487265697d, 0.49506200341575707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 4.199549029182744d);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7921204236492381d));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.7417872134748748d, 101);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8806540128061014E30d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(5.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(100, (-34));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 134);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex4 = complex2.cosh();
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list6 = complex2.nthRoot((-11));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(NaN, NaN)"+ "'", str3.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(110L, 198L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 21780L);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.1920929E-7f, (-1.0f), 117572107);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(0, 2300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(363.7393755555636d, 12.229789172123647d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 363.7393755555636d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.034421912863677004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-11), (-11));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = dimensionMismatchException3.getContext();
    int i5 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-11));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(2L, 21780L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(3.158229070634151d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)' ');

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    short s1 = org.apache.commons.math.util.MathUtils.sign((short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(108L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 109L);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    short s1 = org.apache.commons.math.util.MathUtils.sign((short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)1);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(0.4766722725922161d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, bigInteger3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-7.921447025026058d), (-0.23068947495442116d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0f, 1.4E-45f, 117572107);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(0, 69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0f, 10.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-6.935367471250613d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.935367471250612d));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    double[] d_array9 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 1.0d);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array11);
    double[] d_array16 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array16, 1.0d);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 1.5707963267948966d);
    double d21 = org.apache.commons.math.util.MathUtils.distance1(d_array11, d_array18);
    double[] d_array25 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 1.0d);
    double[] d_array31 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 1.0d);
    double d34 = org.apache.commons.math.util.MathUtils.distanceInf(d_array27, d_array33);
    double[] d_array38 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array40 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array38, 1.0d);
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 1.5707963267948966d);
    double d43 = org.apache.commons.math.util.MathUtils.distance1(d_array33, d_array40);
    double d44 = org.apache.commons.math.util.MathUtils.distance(d_array11, d_array40);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException");
    } catch (org.apache.commons.math.exception.NonMonotonousSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NonMonotonousSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.5707963267948963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.8104773809653505d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.5440716964379951d), 14.89966442575134d, 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, (-0.5411750531416806d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.9E-324d));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.9171523356672744d, (-1.7155476769414557d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.7790865210588482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5761000421603453d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    int[] i_array3 = new int[] { 10, 10, 0 };
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array5 = org.apache.commons.math.util.MathUtils.copyOf(i_array4);
    int[] i_array9 = new int[] { 10, 10, 0 };
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array9);
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array10);
    int i12 = org.apache.commons.math.util.MathUtils.distance1(i_array5, i_array10);
    int[] i_array16 = new int[] { 10, 10, 0 };
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int[] i_array21 = new int[] { 0, (-1), 1 };
    double d22 = org.apache.commons.math.util.MathUtils.distance(i_array16, i_array21);
    int[] i_array26 = new int[] { 10, 10, 0 };
    int[] i_array27 = org.apache.commons.math.util.MathUtils.copyOf(i_array26);
    int[] i_array31 = new int[] { 10, 10, 0 };
    int[] i_array32 = org.apache.commons.math.util.MathUtils.copyOf(i_array31);
    int i33 = org.apache.commons.math.util.MathUtils.distanceInf(i_array26, i_array32);
    int i34 = org.apache.commons.math.util.MathUtils.distanceInf(i_array16, i_array26);
    double d35 = org.apache.commons.math.util.MathUtils.distance(i_array10, i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 14.89966442575134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(1.0000001f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.5403023058681398d, 2058.845257760554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5403023058681399d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    byte byte1 = org.apache.commons.math.util.MathUtils.indicator((byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)1);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-3.045710286111295E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536744E-7f);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(Double.NEGATIVE_INFINITY, 1.4975124378109452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-6.935367471250613d), 0.5403023058681399d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (-1.0f) };
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException4 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-1L), obj_array3);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)363.7393755555636d, obj_array3);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException9 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(byte)(-1), (java.lang.Number)0.4766722725922161d, 1);
    notFiniteNumberException5.addSuppressed((java.lang.Throwable)nonMonotonousSequenceException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(110L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.034421912863677004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.938893903907228E-18d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-1.7155476769414557d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-1.0f), 100.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(108L, 108L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(99L, 21780L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 99L);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(0, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    org.apache.commons.math.complex.Complex complex3 = complex1.log();
    org.apache.commons.math.complex.Complex complex4 = complex1.sinh();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)69, (java.lang.Number)(-0.0d), true);
    java.lang.Number number10 = numberIsTooLargeException9.getMax();
    java.lang.Number number11 = numberIsTooLargeException9.getMax();
    boolean b12 = complex4.equals((java.lang.Object)number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (-0.0d)+ "'", number10.equals((-0.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (-0.0d)+ "'", number11.equals((-0.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000003f);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    org.apache.commons.math.complex.Complex complex3 = complex1.log();
    org.apache.commons.math.complex.Complex complex5 = complex1.add((-0.7790865210588482d));
    org.apache.commons.math.complex.Complex complex7 = complex1.subtract(5.283185307179586d);
    org.apache.commons.math.complex.Complex complex9 = complex7.add(0.49536728921867335d);
    org.apache.commons.math.complex.Complex complex11 = complex7.multiply(0.5403023058681398d);
    org.apache.commons.math.complex.Complex complex13 = complex7.divide(1.3972033880597443d);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    double[] d_array18 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 1.0d);
    double[] d_array24 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 1.0d);
    double d27 = org.apache.commons.math.util.MathUtils.distanceInf(d_array20, d_array26);
    double[] d_array31 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 1.0d);
    double[] d_array35 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, 1.5707963267948966d);
    double d36 = org.apache.commons.math.util.MathUtils.distance1(d_array26, d_array33);
    double[] d_array40 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 1.0d);
    double[] d_array46 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array48 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array46, 1.0d);
    double d49 = org.apache.commons.math.util.MathUtils.distanceInf(d_array42, d_array48);
    double[] d_array53 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array55 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array53, 1.0d);
    double[] d_array57 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array55, 1.5707963267948966d);
    double d58 = org.apache.commons.math.util.MathUtils.distance1(d_array48, d_array55);
    double d59 = org.apache.commons.math.util.MathUtils.distance(d_array26, d_array55);
    java.lang.Number number60 = null;
    java.lang.Number number64 = null;
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection66 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException68 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-1L), number64, 10, orderDirection66, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException70 = new org.apache.commons.math.exception.NonMonotonousSequenceException(number60, (java.lang.Number)(-1.0f), (-1), orderDirection66, false);
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    double[] d_array75 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array77 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array75, 1.0d);
    double[] d_array81 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array83 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array81, 1.0d);
    double d84 = org.apache.commons.math.util.MathUtils.distanceInf(d_array77, d_array83);
    double[] d_array88 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array90 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array88, 1.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection91 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b94 = org.apache.commons.math.util.MathUtils.checkOrder(d_array90, orderDirection91, false, false);
    double[][] d_array_array95 = new double[][] { d_array90 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array77, d_array_array95);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException97 = new org.apache.commons.math.exception.MathArithmeticException(localizable71, (java.lang.Object[])d_array_array95);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array55, orderDirection66, d_array_array95);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)complex7, localizable14, (java.lang.Object[])d_array_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array95);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.3972033880597443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9849705448492218d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-1708074452), (-11));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    float f2 = org.apache.commons.math.util.FastMath.min(10.000002f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000002f);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.5440716964379951d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(2.3012989023072943d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9801475222605263d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(byte)(-1), (java.lang.Number)0.4766722725922161d, 1);
    boolean b4 = nonMonotonousSequenceException3.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.4975124378109452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9820274398724096d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    short s1 = org.apache.commons.math.util.MathUtils.indicator((short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)1);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo((-7.921447025026058d), 6.938893903907228E-18d, 1.3972033880597443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.1102230246251565E-16d, 1.5707963267948963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1102230246251565E-16d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    int i2 = org.apache.commons.math.util.FastMath.min(0, 608369469);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(100L, 69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(complex1);
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex4 = complex2.log();
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex7 = complex5.divide(complex6);
    org.apache.commons.math.complex.Complex complex8 = complex2.pow(complex7);
    java.lang.String str9 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex12 = complex10.divide(complex11);
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex14 = complex12.log();
    org.apache.commons.math.complex.Complex complex16 = complex12.divide(0.0d);
    org.apache.commons.math.complex.Complex complex17 = complex7.add(complex16);
    org.apache.commons.math.complex.ComplexField complexField18 = complex7.getField();
    org.apache.commons.math.complex.Complex complex19 = complex7.tan();
    org.apache.commons.math.complex.Complex complex20 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex22 = complex20.divide(complex21);
    org.apache.commons.math.complex.Complex complex23 = complex21.log();
    org.apache.commons.math.complex.Complex complex24 = complex21.sinh();
    org.apache.commons.math.complex.Complex complex25 = complex21.sin();
    org.apache.commons.math.complex.Complex complex26 = complex25.sqrt1z();
    org.apache.commons.math.complex.Complex complex27 = complex19.subtract(complex25);
    org.apache.commons.math.complex.Complex complex28 = complex19.cosh();
    org.apache.commons.math.complex.Complex complex29 = complex19.conjugate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(NaN, NaN)"+ "'", str3.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(NaN, NaN)"+ "'", str9.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(NaN, NaN)"+ "'", str13.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(21780L, 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)6.579251212010101d, (java.lang.Number)0.9991775888618444d, 6);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.49536728921867335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5182575919439778d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    double[] d_array3 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 1.0d);
    double[] d_array9 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 1.0d);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array11);
    double[] d_array16 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array16, 1.0d);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 1.5707963267948966d);
    double d21 = org.apache.commons.math.util.MathUtils.distance1(d_array11, d_array18);
    double[] d_array25 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array25, 1.0d);
    double[] d_array31 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array31, 1.0d);
    double d34 = org.apache.commons.math.util.MathUtils.distanceInf(d_array27, d_array33);
    double[] d_array38 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array40 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array38, 1.0d);
    double[] d_array42 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 1.5707963267948966d);
    double d43 = org.apache.commons.math.util.MathUtils.distance1(d_array33, d_array40);
    double d44 = org.apache.commons.math.util.MathUtils.distance(d_array11, d_array40);
    double[] d_array48 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array50 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array48, 1.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection51 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b54 = org.apache.commons.math.util.MathUtils.checkOrder(d_array50, orderDirection51, false, false);
    double[] d_array58 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array60 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array58, 1.0d);
    double[] d_array64 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array66 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array64, 1.0d);
    double d67 = org.apache.commons.math.util.MathUtils.distanceInf(d_array60, d_array66);
    boolean b68 = org.apache.commons.math.util.MathUtils.equals(d_array50, d_array66);
    double[] d_array72 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array74 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array72, 1.0d);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection75 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b78 = org.apache.commons.math.util.MathUtils.checkOrder(d_array74, orderDirection75, false, false);
    double[] d_array82 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array84 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array82, 1.0d);
    double[] d_array88 = new double[] { 100.0d, 1.0d, 100.0d };
    double[] d_array90 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array88, 1.0d);
    double d91 = org.apache.commons.math.util.MathUtils.distanceInf(d_array84, d_array90);
    boolean b92 = org.apache.commons.math.util.MathUtils.equals(d_array74, d_array90);
    double d93 = org.apache.commons.math.util.MathUtils.distance(d_array50, d_array74);
    double d94 = org.apache.commons.math.util.MathUtils.distanceInf(d_array11, d_array74);
    double d95 = org.apache.commons.math.util.MathUtils.safeNorm(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 0.7036064265025989d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8452701486440284d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)5.283185307179586d, localizable3, obj_array5);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException7 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)102400.0d, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    float f2 = org.apache.commons.math.util.FastMath.max(9.536743E-7f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-1.5707963267948966d), 0.9171523356672744d, 0.9849705448492218d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection3 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException5 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(byte)10, (java.lang.Number)8.48287487265697d, 0, orderDirection3, false);

  }

}
